package com.example.gittask.screens

import android.widget.EditText
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController



@Composable
fun Gorbachev (navController: NavController) {
    var text by remember { mutableStateOf("Hello") }

    Column(
        modifier = Modifier
            .height(20.dp)
            .width(100.dp)
            .fillMaxSize(),
    )
    {
        Text(
            text = "Ввод строки:", fontSize = 20.sp,
            color = Color(0xFF57A9FF),
            modifier = Modifier
                .padding(start = 20.dp, top = 5.dp),

        )
        TextField(
            value = text,
            onValueChange = { text = it },
            label = { Text("Label") },
            modifier = Modifier
                .padding(start = 20.dp, top = 5.dp),
        )
        var reversedString = text.reversed()

            Text(
                text = "Переворачиватель строки", fontSize = 20.sp,
                color = Color(0xFF57A9FF)
            )
        Text(text = reversedString, fontSize = 20.sp, color = Color(0xFF57A9FF), modifier = Modifier
            .padding(start = 20.dp, top = 5.dp))
    }
}
